Xerces-C++ 3.2.4

Static Public Member Functions | Friends | List of all members
XMLChar1_0 Class Reference

`#include <xercesc/util/XMLChar.hpp>`

## Static Public Member Functions
static bool | isAllSpaces (const XMLCh *const toCheck, const XMLSize_t count)
static bool | containsWhiteSpace (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isValidNmtoken (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isValidName (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isValidName (const XMLCh *const toCheck)
static bool | isValidNCName (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isValidQName (const XMLCh *const toCheck, const XMLSize_t count)
static bool | isXMLLetter (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isFirstNameChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isNameChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isPlainContentChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isSpecialStartTagChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isXMLChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isWhitespace (const XMLCh toCheck)
static bool | isWhitespace (const XMLCh toCheck, const XMLCh toCheck2)
static bool | isControlChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isPublicIdChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isFirstNCNameChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isNCNameChar (const XMLCh toCheck, const XMLCh toCheck2=0)
static bool | isNELRecognized ()
| Return true if NEL (0x85) and LSEP (0x2028) to be treated as white space char. More...
static void | enableNELWS ()
| Method to enable NEL (0x85) and LSEP (0x2028) to be treated as white space char. More...

## Friends
class | XMLReader

## Member Function Documentation

## ◆ containsWhiteSpace()

static bool XMLChar1_0::containsWhiteSpace | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count
| ) |  |
| static

## ◆ enableNELWS()

static void XMLChar1_0::enableNELWS | ( |  | ) |
| static

Method to enable NEL (0x85) and LSEP (0x2028) to be treated as white space char.

## ◆ isAllSpaces()

static bool XMLChar1_0::isAllSpaces | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count
| ) |  |
| static

## ◆ isControlChar()

bool XMLChar1_0::isControlChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gControlCharMask.

## ◆ isFirstNameChar()

bool XMLChar1_0::isFirstNameChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gFirstNameCharMask.

## ◆ isFirstNCNameChar()

bool XMLChar1_0::isFirstNCNameChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References chColon, and gFirstNameCharMask.

## ◆ isNameChar()

bool XMLChar1_0::isNameChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gNameCharMask.

## ◆ isNCNameChar()

bool XMLChar1_0::isNCNameChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gNCNameCharMask.

## ◆ isNELRecognized()

bool XMLChar1_0::isNELRecognized | ( |  | ) |
| static

Return true if NEL (0x85) and LSEP (0x2028) to be treated as white space char.

## ◆ isPlainContentChar()

bool XMLChar1_0::isPlainContentChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gPlainContentCharMask.

## ◆ isPublicIdChar()

static bool XMLChar1_0::isPublicIdChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

## ◆ isSpecialStartTagChar()

bool XMLChar1_0::isSpecialStartTagChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gSpecialStartTagCharMask.

## ◆ isValidName() [1/2]

static bool XMLChar1_0::isValidName | ( | const XMLCh *const | toCheck | ) |
| static

## ◆ isValidName() [2/2]

static bool XMLChar1_0::isValidName | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count
| ) |  |
| static

## ◆ isValidNCName()

static bool XMLChar1_0::isValidNCName | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count
| ) |  |
| static

## ◆ isValidNmtoken()

static bool XMLChar1_0::isValidNmtoken | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count
| ) |  |
| static

## ◆ isValidQName()

static bool XMLChar1_0::isValidQName | ( | const XMLCh *const | toCheck,
|  | const XMLSize_t | count
| ) |  |
| static

## ◆ isWhitespace() [1/2]

bool XMLChar1_0::isWhitespace | ( | const XMLCh | toCheck | ) |
| static

References gWhitespaceCharMask.

Referenced by XMLDateTime::setBuffer().

## ◆ isWhitespace() [2/2]

bool XMLChar1_0::isWhitespace | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2
| ) |  |
| static

References gWhitespaceCharMask.

## ◆ isXMLChar()

bool XMLChar1_0::isXMLChar | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References gXMLCharMask.

## ◆ isXMLLetter()

bool XMLChar1_0::isXMLLetter | ( | const XMLCh | toCheck,
|  | const XMLCh | toCheck2 = `0`
| ) |  |
| static

References chColon, chUnderscore, and gFirstNameCharMask.

Referenced by XMLChar1_1::isXMLLetter().

## Friends And Related Function Documentation

## ◆ XMLReader

friend class XMLReader
| friend

The documentation for this class was generated from the following file:

- XMLChar.hpp